Dashboard
Templates

Create Template

Create Template

POST/v2/agents/templates

Request Body

team_idstring · uuidrequired
creatorstringrequired
slugstringrequired
namestringrequired
descriptionobjectoptional
source_runtimestringoptional
source_modelobjectoptional
instructionsstringoptional
mcp_serversarray<object>optional
skillsarray<object>optional
secretsarray<object>optional
Request
curl --request POST \
  --url https://api.brainbaselabs.com/v2/agents/templates \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
  "creator": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "source_runtime": "claude_code_cloud",
  "source_model": "string",
  "instructions": "",
  "mcp_servers": [
    {
      "name": "string",
      "url": "string",
      "command": "string",
      "args": [
        "string"
      ],
      "env": {
        "property1": "string",
        "property2": "string"
      },
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "is_enabled": true
    }
  ],
  "skills": [
    {
      "source": "string"
    }
  ],
  "secrets": [
    {
      "name": "string",
      "description": "string",
      "required": true
    }
  ]
}'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba",
  "creator": "string",
  "slug": "string",
  "name": "string",
  "description": "string",
  "source_runtime": "string",
  "source_model": "string",
  "instructions": "",
  "mcp_servers": [
    {
      "name": "string",
      "url": "string",
      "command": "string",
      "args": [
        "string"
      ],
      "env": {
        "property1": "string",
        "property2": "string"
      },
      "headers": {
        "property1": "string",
        "property2": "string"
      },
      "is_enabled": true
    }
  ],
  "skills": [
    {
      "source": "string"
    }
  ],
  "secrets": [
    {
      "name": "string",
      "description": "string",
      "required": true
    }
  ],
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}